#!/bin/sh
# Usage: uninstall.sh <path_to_JRE> 
#
# Example:
#   uninstall.sh /usr/java/default
# 

if [ -z "$1" ]; then
  printf "USAGE: uninstall.sh path_to_JRE"
  exit 1
fi

JREDIR=$1
JAVACMD="$JREDIR/bin/java"
[ -x "$JAVACMD" ] || {
  printf "File not found: $JAVACMD\n"
  exit 1
}

"$JAVACMD" -version 

for i in JaCarta_for_CryptoPro_JCP.jar JaCarta_Terminal.jar; do
    rm -f "$JREDIR/lib/ext/$i"
    if [ -r "$JREDIR/lib/ext/$i" ]; then
		printf "JVM is running or jar-files are locked:\n"
        printf "$JREDIR/lib/ext/$i\n"
		printf "Stop all processes that use Java and retry\n"
        exit 1
    fi
done

for i in libAPDUStub.so libJaCartaTerminal.so; do
    rm -f "/usr/lib/$i"
    if [ -r "/usr/lib/$i" ]; then
		printf "This file is locked:\n"
        printf "/usr/lib/$i\n"
		printf "Stop all processes that use this files and retry\n"
		exit 1
    fi
   
done

printf "Successful\n"